version: '3.4'

services:
  api:
    build:
      context: .
      dockerfile: Dockerfile.dev
    ports:
      - "8080:8080"
    volumes:
      - ./src:/code/src:ro
      - ./package.json:/code/package.json:ro
      - ./tsconfig.json:/code/tsconfig.json:ro
    environment:
      - NODE_ENV=development
      - PORT=8080
      - CORS=true
      - POSTGRES_USER=postgres
      - POSTGRES_HOST=postgres
      - POSTGRES_PORT=5432
      - POSTGRES_PASSWORD=mysecretpassword
      - POSTGRES_DATABASE=postgres
    depends_on:
      - postgres
    restart: on-failure

  postgres:
    image: 'postgres:12-alpine'
    ports:
      - "5432:5432"
    environment:
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=mysecretpassword
      - PGDATA=/var/lib/postgresql/data/pgdata
    restart: on-failure
    volumes:
      - ./postgres-data:/var/lib/postgresql/data
      - ./dump:/dump
